/*
 * @Author: your name
 * @Date: 2021-09-18 16:06:51
 * @LastEditTime: 2021-11-19 13:39:06
 * @LastEditors: Please set LastEditors
 * @Description: 表格的配置
 * @FilePath: \hyyfClient\src\views\BioSafety\personAdmin\table.config.js
 */
export const titles = ['车辆档案', '门禁记录', '人员列表']

const tableItems1 = [
  {
    prop: 'capTimeStr',
    label: '时间',
    minWidth: '120',
    slotName: 'capTimeStr'
  },
  {
    prop: 'originalPicPath',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'originalPicPath'
  },
  {
    prop: 'carDirectStr',
    label: '方向',
    minWidth: '150',
    slotName: 'carDirectStr'
  },
  {
    prop: 'devChnName',
    label: '区域',
    minWidth: '150',
    slotName: 'devChnName'
  },
  {
    prop: 'carNum',
    label: '车牌号',
    minWidth: '150',
    slotName: 'carNum'
  },
  {
    prop: 'parkingCarColor',
    label: '车辆颜色',
    minWidth: '150',
    slotName: 'parkingCarColor'
  },
  {
    prop: 'parkingLot',
    label: '所属停车场',
    minWidth: '150',
    slotName: 'parkingLot'
  },
]

const tableItems2 = [
  {
    prop: 'alarmDate',
    label: '时间',
    minWidth: '150',
    slotName: 'alarmDate'
  },
  {
    prop: 'alarmPosition',
    label: '地点',
    minWidth: '100',
    slotName: 'alarmPosition'
  },
  {
    prop: 'alarmPicture',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'alarmPicture'
  },
  {
    prop: 'alarmTypeName',
    label: '类型',
    minWidth: '150',
    slotName: 'alarmTypeName'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handler'
  }
]

const tableItems3 = [
  {
    prop: 'place',
    label: '烘干地点',
    minWidth: '150',
    slotName: 'place'
  },
  {
    prop: 'photo',
    label: '车辆图片',
    minWidth: '150',
    slotName: 'photo'
  },
  {
    prop: 'startTime',
    label: '开始时间',
    minWidth: '150',
    slotName: 'startTime'
  },
  {
    prop: 'status',
    label: '状态',
    minWidth: '150',
    slotName: 'status'
  },
  {
    prop: 'endTime',
    label: '结束时间',
    minWidth: '150',
    slotName: 'endTime'
  },
  {
    label: '操作',
    minWidth: '150',
    slotName: 'handler'
  }
]

export const tableItems = [tableItems1, tableItems2, tableItems3]

export const tableShows = {
  showIndex: false, showSelect: true
}
